LINUX.ORG.RU

Установка проприетарного драйвера AMD. Help pls

 , ,


0

1

Приветствую. Пожалуйста помогите установить проприетарный драйвер AMD Radeon с офф сайта AMD на RHEL 7.2.
Как нужно правильно произвести установку?


# xrandr --listproviders
Providers: number : 3
Provider 0: id: 0x78 cap: 0xb, Source Output, Sink Output, Sink Offload crtcs: 4 outputs: 3 associated providers: 2 name:Intel
Provider 1: id: 0x51 cap: 0xf, Source Output, Sink Output, Source Offload, Sink Offload crtcs: 2 outputs: 0 associated providers: 2 name:radeon
Provider 2: id: 0x51 cap: 0xf, Source Output, Sink Output, Source Offload, Sink Offload crtcs: 2 outputs: 0 associated providers: 2 name:radeon

# lspci | grep -E «VGA|3D»
00:02.0 VGA compatible controller: Intel Corporation Broadwell-U Integrated Graphics (rev 09)
08:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Opal XT [Radeon R7 M265] (rev ff)


Выбираю свою видеокарту, дальше драйвер для Linux x86_64: -->AMD Radeon Software Crimson Edition 15.12 Proprietary Linux x86 Display Driver 177 MB

Поддерживаемые дистрибутивы:

Red Hat Enterprise Linux Suite 7.2, 7.1, 7.0, 6.7, 6.6, 6.5
Ubuntu 12.04.4 LTS, 14.04.2, 14.04.3, 15.04, 15.10
SUSE® Linux Enterprise 11 SP3, 12
OpenSuSE 13.1

Имеются пакеты для следующих дистрибутивов:

Red Hat Enterprise Linux Suite 7.1, 7.0, 6.6, 6.5
Ubuntu 12.04.4 LTS, 14.04.2


После распаковки появляется папка: fglrx-15.302 в ней 3 файла:
amd-driver-installer-15.302-x86.x86_64.run
check.sh
папка doc (в ней дохрена ещё файлов)


Пробовал запустить файл sh amd-driver-installer-15.302-x86.x86_64.run выдает ошибку, что графический адаптер не поддерживает данный драйвер.

Мне подсказали что нужно собирать его самому и устанавливать через иксы. Как это сделать ?


папка doc (в ней дохрена ещё файлов)

рекомендую почитать.

Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)

Пре вет. На сайте AMD есть RUN для всех дистров, RPM для Red Hat и DEb дл Ubuntu. Ск чай RPM. Или выполни sh *.run --listpkg, sh *.run --buildpkg distr/version

ZenitharChampion ★★★★★ ()

В случае с AMD лучше опенсорсный, а вот с nVidia наоборот.

Vsevolod-linuxoid ★★★★★ ()

Тебе для какой цели проприетарный? если для OpenGL 4.5 - mesa13 вышла, у свободных дров производительность выше. Т.е. проще месу свежую собрать, а не дистрибутивную. Тем более, что fglrx реально по производительности то еще говнецо.

Deleted ()

Radeon R7 M265

Это какого поколения GCN? В смысле, может туда надо amdgpu ставить?

anonymous ()

Товарищи, не могли бы вы не много более подробно расписать?) Я новичек в Linux... С драйвером прилагается инструкция по установке, но там установка предыдущего драйвера и пишут что нужно установить кучу пакетов перед тем как приступать к установке самого драйвера.

l18l ()

[root@localhost Загрузки]# cd fglrx-15.302/

[root@localhost fglrx-15.302]# ls
amd-driver-installer-15.302-x86.x86_64.run check.sh doc

[root@localhost fglrx-15.302]# sh amd-driver-installer-15.302-x86.x86_64.run --listpkg

Created directory fglrx-install.37tcw4
Verifying archive integrity... All good.
Uncompressing AMD Proprietary Driver-15.302............................................................................................................
=====================================================================
AMD Proprietary Driver Installer/Packager
=====================================================================
List of generatable packages:

Package Maintainer(s): Aric Cyr <aric.cyr@gmail.com>
Mario Limonciello <superm1@gmail.com>
Status: *UNVERIFIED*
Debian Packages:
Debian/stable
Debian/lenny
Debian/testing
Debian/experimental

Package Maintainer(s): Niko Mirthes <nmirthes@gmail.com>
Michael Larabel <michael@phoronix.com>
Status: *UNVERIFIED*
Fedora Packages:
Fedora/F10
Fedora/RHEL3
Fedora/RHEL4

Package Maintainer(s): AMD
Status: Verified
RedHat Packages:
RedHat/RHEL5_64a
RedHat/RHEL6_64a
RedHat/RHEL7_64a
RedHat/RHEL5
RedHat/RHEL6
RedHat/RHEL7

Package Maintainer(s): Emanuele Tomasi <tomasi@cli.di.unipi.it>
Status: *UNVERIFIED*
Slackware Packages:
Slackware/Slackware

И так далее другие дистрибутивы.......

For example, to build a Debian Etch package, run the following:
% ./amd-driver-installer-<version>-<architecture>.run --buildpkg Debian/etch

Removing temporary directory: fglrx-install.37tcw4


[root@localhost fglrx-15.302]# ./amd-driver-installer-15.302-x86.x86_64.run --buildpkg RedHat/RHEL7

Created directory fglrx-install.3SVrHc
Verifying archive integrity... All good.
Uncompressing AMD Proprietary Driver-15.302...........................................................
=====================================================================
AMD Proprietary Driver Installer/Packager
=====================================================================
Generating package: RedHat/RHEL7
Build Failure: rpmbuild is missing, please install the rpm package
Package build failed!
Package build utility output:
./packages/RedHat/ati-packager.sh: line 221: rpmbuild: команда не найдена
Removing temporary directory: fglrx-install.3SVrHc


Я выбрал RedHat/RHEL7 или нужно было выбирать RedHat/RHEL7_64a ???

l18l ()
Ответ на: комментарий от l18l

Для 32 бит выбирай 64a, а для 32-бит - просто RHEL7. Тебя просят доустановить пакет rpmbuild - доустанови.

Когда пакеты соберутся, устанавливать так:

sudo rpm -ivh *.rpm

Если ты не сможешь создать RPM-пакеты, то ты можешь скачать готовые в репозитории ELrepo.

yum --enablerepo=elrepo install kmod-fglrx fglrx-x11-drv fglrx-x11-drv-32bit
ZenitharChampion ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.